Update Firewall Advanced Settings
PUT
/network/firewall/advanced
const url = 'https://sylve.lan:8181/api/network/firewall/advanced';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"postNatDecl":"example","postRules":"example","postTrafficAnchor":"example","preNatDecl":"example","preRules":"example","preTrafficAnchor":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://sylve.lan:8181/api/network/firewall/advanced \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "postNatDecl": "example", "postRules": "example", "postTrafficAnchor": "example", "preNatDecl": "example", "preRules": "example", "preTrafficAnchor": "example" }'Replace the locally managed advanced PF rule sections and apply the resulting configuration
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Firewall Advanced Settings Request
Media typeapplication/json
object
postNatDecl
string
postRules
string
postTrafficAnchor
string
preNatDecl
string
preRules
string
preTrafficAnchor
string
Examplegenerated
{ "postNatDecl": "example", "postRules": "example", "postTrafficAnchor": "example", "preNatDecl": "example", "preRules": "example", "preTrafficAnchor": "example"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Unauthorized
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Forbidden
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Payload Too Large
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}